$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-f0fd7e2e19975fe442455080475e74ec43a3f520/rpcs3-v0.0.12-11055-f0fd7e2e_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '624e32c0d7fd7e969eb907882e948d62846e6225693d6cc3aeb3a60d04a6be96'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
